---
title: Get Connection Status
slug: get-connection-status
docTags: 
createdAt: 2022-12-01T15:27:50.000Z
---

Gets the Connection status for a given user\_id



:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://labs.pathfix.com/api/connection/{{provider}}",
  "name": "Get Connection Status",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "provider",
        "type": "string",
        "description": "Internal name of the provider"
      }
    ],
    "queryParameters": [
      {
        "kind": "required",
        "name": "user_id",
        "type": "string",
        "description": "Identifier of your currently logged in user"
      },
      {
        "kind": "required",
        "name": "public_key",
        "type": "string",
        "description": "Your Pathfix Application's Public Key"
      },
      {
        "kind": "required",
        "name": "private_key",
        "type": "string",
        "description": "Your Pathfix Application's Private Key"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "ubaRKDX4RJ5wVeLE-xJqK",
        "code": "{\n    \"rows\": [\n        {\n            \"pincStatus\": \"success\",\n            \"callId\": \"9a90bcf9-1e06-4564-87c1-76352fe5a0fc\",\n            \"data\": {\n                \"connected\": \"yes/no\"\n            }\n        }\n    ]\n}",
        "language": "200"
      },
      {
        "id": "j3hY_4YPD45WW_5b_AzCb",
        "code": "{\n    \"message\": \"Ain't no cake like that.\"\n}",
        "language": "404"
      }
    ],
    "selectedLanguageId": "ubaRKDX4RJ5wVeLE-xJqK"
  },
  "examples": {
    "languages": [
      {
        "id": "tKhhi8pK3zlMTPPmPuUzT",
        "code": "curl --request GET\n  --url https://labs.pathfix.com/api/connection/{{provider}} \n  --header 'Accept: application/json'",
        "language": "curl"
      },
      {
        "id": "uzuLrkuuRiGMRVTu0JzgC",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection/{{provider}}';\nlet options = {\n  method: 'GET', \nheaders: {\n    Accept: 'application/json',\n  }\n};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "nodejs"
      },
      {
        "id": "-Rh7dadOeFD43gsgVM9Dz",
        "code": "import requests\n\nurl = \"https://labs.pathfix.com/api/connection/{{provider}}\"\nheaders = {\"Accept\": \"application/json\"}\nresponse = requests.request(\"GET\", url, headers=headers)\nprint(response.text)",
        "language": "python"
      },
      {
        "id": "QkJ9Buo1uBCoSLxhZDQzF",
        "code": "const fetch = require('node-fetch');\n\nlet url = 'https://labs.pathfix.com/api/connection/{{provider}}';\nlet options = {method: 'GET', headers: {Accept: 'application/json'}};\nfetch(url, options)\n  .then(res => res.json())\n  .then(json => console.log(json))\n  .catch(err => console.error('error:' + err));",
        "language": "ruby"
      }
    ],
    "selectedLanguageId": "tKhhi8pK3zlMTPPmPuUzT"
  },
  "description": "Get a platform user's connection, and authorization url to a provider\n",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "get-connection-status",
  "legacyHash": "9F2wxS6qHQ1TapSIGfhCq"
}
```
:::

